<template>
  <div class="row">
    <hr />
    <h2 class="white-text">Ficha Técnica</h2>
    <div class="s6 center">
      <template v-for="(img,index) in data">
        <a
          :key="index"
          :class="[{grey:img.selected},{white:!img.selected},' waves-effect waves-dark btn black-text']"
          @click="selectImg(img.name, img.selected)"
        >
          <b>{{img.name}} Velocidades</b>
          <i v-if="img.selected" class="material-icons">arrow_drop_down</i>
          <i v-else class="material-icons">arrow_drop_up</i>
        </a>
      </template>
    </div>
    <div class="center">
      <template v-for="(img, index) in data">
        <div :key="index" v-if="img.selected">
          <img class="ficha" :src="img.img" />
        </div>
      </template>
    </div>
    <carousel></carousel>
  </div>
</template>
<script>
import carousel from '../../carousel.vue';

export default {
    components:{
        carousel
    },
  data() {
    return {
      data: [
        {
          img: "./media/img/fichaTecnica/tucana-8v.jpg",
          selected: false,
          name: "8"
        },
        {
          img: "./media/img/fichaTecnica/tucana-9v.jpg",
          selected: false,
          name: "9"
        },
        {
          img: "./media/img/fichaTecnica/tucana-10v.jpg",
          selected: false,
          name: "10"
        }
      ]
    };
  },
  methods: {
    selectImg(name, selected) {
      this.data.forEach(img => {
        if (selected) {
          img.selected = false;
        } else {
          if (img.name == name) {
            img.selected = true;
          } else {
            img.selected = false;
          }
        }
      });
    }
  }
};
</script>

<style scoped>
a {
  margin-bottom: 10px;
}

.border-top {
  border-top: 3px solid white;
  margin-left: 5px;
}

.center {
  margin-top: 15px;
}

img {
  margin-right: 20px;
  margin-left: 20px;
  object-fit: cover;
}

.ficha {
  max-height: 90vh;
}

.selected {
  background-color: grey;
}
hr {
  border: 1px dashed grey;
}

.img-component {
  width: 100%;
  object-fit: cover;
}
.center {
  margin: auto;
}
</style>